#include "AddVHost.moc"

#include <qwidget.h>
#include <qlabel.h>
#include <qtooltip.h>

#include <klineedit.h>
#include <klocale.h>
#include <kapplication.h>

AddVHost::AddVHost(QWidget * parent, char *)
 : KLineEditDlg(i18n("IP address:"), QString::null, parent)
{
	setCaption(i18n("Add Virtual Host"));
	QToolTip::add(lineEdit(),i18n("Enter the IP address of the new virtual host here."));
}
AddVHost::~AddVHost()
{
}
void AddVHost::slotOk()
{
	QString I=lineEdit()->text();
	if(!I.isEmpty())
		emit VHostAdded(I);
	accept();
}
